#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> a) {
    vector<int> ans;
    int n = a.size();
    for (int i = 0; i < (n - 1) / 2; i++) {
        ans.push_back(i);
    }
    ans.push_back(n - 1);
    for (int i = (n - 1) / 2; i < n - 1; i++) {
        ans.push_back(i);
    } 
    return ans;
}